﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinTree;

namespace WT_TwoColumnsNoDS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraTree1.ViewStyle = ViewStyle.Grid;

            // Define column sets for all levels
            ultraTree1.Override.ColumnSet = new UltraTreeColumnSet();
            ultraTree1.Override.ColumnSet.Columns.Add("Name");
            ultraTree1.Override.ColumnSet.Columns.Add("Description");

            ultraTree1.Nodes.Add();
            ultraTree1.Nodes[0].Cells[0].Value = "First Node";
            ultraTree1.Nodes[0].Cells[1].Value = "Desc";

            ultraTree1.Nodes[0].Nodes.Add();
            ultraTree1.Nodes[0].Nodes[0].Cells[0].Value = "Child Node";
            ultraTree1.Nodes[0].Nodes[0].Cells[1].Value = "Desc";

            ultraTree1.Nodes.Add();
            ultraTree1.Nodes[1].Cells[0].Value = "Second Node";
            ultraTree1.Nodes[1].Cells[1].Value = "Desc";
            ultraTree1.Nodes.Add();
            ultraTree1.Nodes[2].Cells[0].Value = "Third Node";
            ultraTree1.Nodes[2].Cells[1].Value = "Desc";

            // Hide headers
            ultraTree1.Override.ColumnSet.LabelPosition = NodeLayoutLabelPosition.None;
            // Allow editing
            ultraTree1.Override.ColumnSet.AllowCellEdit = AllowCellEdit.Full;
            ultraTree1.Override.CellClickAction = CellClickAction.EditCellSelectText;
            Infragistics.Win.Appearance infraImageAppearance = new Infragistics.Win.Appearance()
            {
                Image = Image.FromFile(@"..\..\infra.jpg")
            };

            Infragistics.Win.Appearance yesImageAppearance = new Infragistics.Win.Appearance()
            {
                Image = Image.FromFile(@"..\..\yes.jpg")
            };
            // Use the same icon for each cell
            ultraTree1.Override.ColumnSet.CellAppearance = infraImageAppearance;
            // If you want to set an icon for a specific cell use this instead
            ultraTree1.Nodes[0].Cells[0].Appearance = yesImageAppearance;


        }
    }
}
